### Method

# Camel StoreSearch get_uids_sync

since: 3.58

#### Declaration [src]

    gboolean
    camel_store_search_get_uids_sync (
      CamelStoreSearch* self,
      const gchar* folder_name,
      GPtrArray** out_uids,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Reads all the message UID-s from the folder `folder_name` satisfying the set expression. Sets the `out_uids` to `NULL` and returns `TRUE` when the `folder_name` is not part of the `self`.

Free the `out_uids` array with g_ptr_array_unref(), when no longer needed.

Available since: 3.58

#### Parameters

`folder_name`

  Type: `const gchar*`

  Name of the folder to read UID-s from.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_uids`

  Type: An array of `utf8`

  An output argument for the read message UID-s.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data container, but not the data inside it.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.